Get Payment Options
curl --request GET \
--url https://vas.finpaytech.co/business-api/api/v1/merchants/me/payment-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://vas.finpaytech.co/business-api/api/v1/merchants/me/payment-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vas.finpaytech.co/business-api/api/v1/merchants/me/payment-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"virtualAccountNumber": "7600000035",
"virtualAccountName": "Emaal - WithLotus",
"referenceHint": null,
"rtgsNarrationHint": "7600000035 INV-2026-1044",
"mobileMoneyCustomerFacingCopy": "Pay with M-Pesa via My OneApp, USSD (*334#), or SIM Toolkit.\n\nLipa na M-Pesa > Pay Bill\nPaybill: 559900\nAccount number: 7600000035\nAmount: enter the amount you are paying",
"stkPushCustomerFacingCopy": "You will receive an M-Pesa prompt on your phone. Enter your PIN to pay.",
"pesalinkCustomerFacingCopy": "Send money by PesaLink to UBA Kenya, account number 7600000035.",
"rtgsCustomerFacingCopy": "Make an RTGS transfer to FINPAYTECH LTD at UBA Kenya. In field :70 enter 7600000035 INV-2026-1044",
"options": [
{
"channel": "MOBILE_MONEY",
"displayName": "M-Pesa Paybill",
"paybillNumber": "559900",
"paybillNumberName": "UBA Kenya",
"accountNumber": "7600000035"
},
{
"channel": "PESALINK",
"displayName": "PesaLink",
"bankName": "UBA Kenya",
"accountNumber": "7600000035"
},
{
"channel": "RTGS",
"displayName": "RTGS",
"bankName": "UBA Kenya",
"branchName": "Westlands",
"swiftCode": "UNAFKENA",
"accountName": "FINPAYTECH LTD",
"accountNumber": "55010160025423"
}
]
}Payer Instructions
Get Payment Options
GET
https://vas.finpaytech.co/business-api
/
api
/
v1
/
merchants
/
me
/
payment-options
Get Payment Options
